//+------------------------------------------------------------------+
//|                                                 H4 Period EA.mq4 |
//|                            Copyright  2012, Christopher R Snape |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Christopher R Snape"

//----EXTERNS:
extern int    MagicNumber       = 42;    // EA's orders' magic number
extern bool   StealthMode       = TRUE;  // StealthMode on/off
extern int    Parts             = 2;     // Amount of parts in a lot
extern double PartSize          = 2;     // PartSize in percents from capital
extern int    TimeLag           = 10;    // How much bars we use to form signal
extern double SLPercent         = 2;     // StopLoss size in percents from capital
extern int    TP                =
extern int    Slippage          = 3;     // Slippage for order opening/closing
// MA:
extern double SlowSMAPeriod      = 200;   // Slow MA period on daily chart
extern double FastSMAPeriod      = 50;    // Fast MA period on daily chart 
extern int    MAmethod           = MODE_SMA; // Averaging method [MODE_SMA or MODE_EMA or MODE_SMMA or MODE_LWMA]
extern int    MAAppliedPrice     = PRICE_CLOSE; // Apllied price for MA [PRICE_CLOSE or PRICE_OPEN or PRICE_HIGH or PRICE_LOW or PRICE_MEDIAN or PRICE_TYPICAL or PRICE_WEIGHTED]
// MACD:
extern int    FastMACDPeriod     = 12;    // Period of fast EMA
extern int    SlowMACDPeriod     = 26;    // Period of slow EMA
extern int    SignalPeriod       = 9;     // Period of signal
extern int    MACDAppliedPrice   = PRICE_CLOSE; // Apllied price for MACD [PRICE_CLOSE or PRICE_OPEN or PRICE_HIGH or PRICE_LOW or PRICE_MEDIAN or PRICE_TYPICAL or PRICE_WEIGHTED]
// DONCHIAN CHANNEL:
extern int    DNCPeriod          = 120;   // Period of donchian channel
extern int    DNCAppliedPrice    = PRICE_CLOSE;  // Apllied price for DNC [PRICE_CLOSE or PRICE_OPEN or PRICE_HIGH or PRICE_LOW or PRICE_MEDIAN or PRICE_TYPICAL or PRICE_WEIGHTED]
// Mail
extern bool   AllowSendingMails  = TRUE;  // Allow to send e-mails
extern string MailSubject        = "MQL4 EA AUTOMATED MAIL"; // Subject of e-mail
//----

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   double MacdCurrent, MacdPrevious, SignalCurrent;
   double SignalPrevious, SlowSMACurrent, FastSMACurrent;
   int cnt, ticket, total
   //--- Initial data checks
   //--- If EA not working
   if (!Work)
      }
      Alert("CRITICAL ERROR- EA MALFUNCTION");
      return(-666);
      {
   //---
   
   //--- Check if counted bars is less than periods
   if (Bars < FastSMAPeriod || Bars < SlowSMAPeriod)
         {
         Alert("ERROR- INSUFFICIENT BARS TO CALCULATE SMA ON DAILY CHART")
         return(-1);
         }
   if (Bars < FastMACDPeriod || Bars < SlowMACDPeriod || Bars < SignalPeriod)
         {
         Alert("ERROR- INSUFFICIENT BARS TO CALCULATE MACD ON FOUR HOUR CHART")
         return(-1);
         }
   if (Bars < DNCPeriod)
         {
         Alert("ERROR- INSUFFICIENT BARS TO CALCULATE DNC ON FOUR HOUR CHART")
         return(-1);
         }      
   //---
   
   //--- Check for new Bars
   if (Bars > CountedBars)
         CountedBars = Bars
   else
         return (-888);
   //---
         
   //---Draw off price into variables
   MacdCurrent    = iMACD(EURUSD,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,0);
   MacdPrevious   = iMACD(EURUSD,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,1);  
   SignalCurrent  = iMACD(EURUSD,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,0);       
   SignalPrevious = iMACD(EURUSD,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,1);
   SlowSMACurrent = iMA(EURUSD,PERIOD_D1,SlowSMAPeriod,0,MODE_SMA,PRICE_CLOSE,1);
   FastSMACurrent = iMA(EURUSD,PERIOD_D1,FastSMAPeriod,0,MODE_SMA,PRICE_CLOSE,1);
   
   
   
      
   

   
    
//----
   return(0);
  }
//+------------------------------------------------------------------+